Name: brltty
Version: 3.2
Release: 7
License: GPL
Group: System Environment/Daemons
URL: http://mielke.cc/brltty/
Source: http://mielke.cc/brltty/releases/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-InstallRoot
Summary: Braille display driver for Linux/Unix.
Prereq: coreutils

%description
BRLTTY is a background process (daemon) which provides
access to the Linux/Unix console (when in text mode)
for a blind person using a refreshable braille display.
It drives the braille display,
and provides complete screen review functionality.
Some speech capability has also been incorporated.

%prep
%setup -n %{name}-%{version}

%build
%configure --with-install-root="${RPM_BUILD_ROOT}"
make

directory="doc"
mkdir -p "${directory}"
for file in `find . -path "./${directory}" -prune -o \( -name 'README*' -o -name '*.txt' -o -name '*.html' -o -name '*.sgml' \) -print`
do
   mkdir -p "${directory}/${file%/*}"
   cp -rp "${file}" "${directory}/${file}"
done

%install
make install-programs install-help install-tables install-drivers install-manpage
install -m 644 Documents/brltty.conf "${RPM_BUILD_ROOT}%{_sysconfdir}"
rm -f ${RPM_BUILD_ROOT}/bin/brltty
rm -f ${RPM_BUILD_ROOT}/bin/install-brltty
rm -rf ${RPM_BUILD_ROOT}/lib/brltty/*

%post
devices="/dev/vcsa /dev/vcsa0 /dev/vcc/a"
install=true
for device in ${devices}
do
   if [ -c "${device}" ]
   then
      install=false
      break
   fi
done
if $install
then
   device="`set -- ${devices} && echo "${1}"`"
   echo -n "Creating screen inspection device ${device}..."
   mkdir -p "${device%/*}"
   mknod -m o= "${device}" c 7 128
   chmod 660 "${device}"
   chown root.tty "${device}"
   echo "done."
fi

%files
%defattr(-,root,root)
%doc COPYING
%doc Documents/ChangeLog Documents/TODO
%doc Bootdisks/rhmkboot Bootdisks/rhmkroot
%doc doc/*
%doc /usr/share/man/man1/*
%config(noreplace) /etc/brltty.conf
%{_bindir}/brltty
%{_bindir}/install-brltty
%{_libdir}/brltty/*
/etc/brltty

%changelog
* Thu Oct 14 2004 Adrian Havill <havill@redhat.com> 3.2-7
- chmod a-x for conf file (#116244)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Sep 30 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- prereq coreutils for mknod/chown/chmod

* Mon Jul 07 2003 Adrian Havill <havill@redhat.com> 3.2-2
- changed spec "Copyright" to "License"
- use %configure macro, %{_libdir} for non-ia32 archs
- removed unnecessary set and unset, assumed/default spec headers
- fixed unpackaged man page, duplicate /bin and /lib entries
- use plain install vs scripts for non-i386 buildsys
